from django.db import models

# ====================================================
#       :
# https://www.interestprograms.ru
#     
#     
# ====================================================


#     
class CommonFields(models.Model):
    id = models.BigAutoField(primary_key=True, auto_created=True)
    name = models.CharField(max_length=300)
    description = models.TextField(null=True)
    #         
    class Meta:
        abstract = True


#   
class TypeComponent(CommonFields):
    pass


#  
class Component(CommonFields):
    #    db_column="type_id"   
    #  ()   . 
    #        +  _id,
    # ..   db_column     type_foreignkey_id.
    #         
    #      .
    type_foreignkey = models.ForeignKey(
        "TypeComponent", db_column="type_id", on_delete=models.CASCADE
    )
    price = models.IntegerField()